diff --git a/target/linux/ramips/dts/AWAPN2403.dts b/target/linux/ramips/dts/AWAPN2403.dts
index 2de0402..7898e2e 100644
--- a/target/linux/ramips/dts/AWAPN2403.dts
+++ b/target/linux/ramips/dts/AWAPN2403.dts
@@ -4,7 +4,7 @@
 
 / {
 	compatible = "AWAPN2403", "ralink,rt3052-soc";
-	model =  "AsiaRF AWAPN2403";
+	model = "AsiaRF AWAPN2403";
 
 	palmbus@10000000 {
 		spi@b00 {
diff --git a/target/linux/ramips/dts/CF-WR800N.dts b/target/linux/ramips/dts/CF-WR800N.dts
index 5db6c83..16b184a 100644
--- a/target/linux/ramips/dts/CF-WR800N.dts
+++ b/target/linux/ramips/dts/CF-WR800N.dts
@@ -8,7 +8,7 @@
 
 	chosen {
 		bootargs = "console=ttyS0,115200";
-        };
+	};
 
 	palmbus@10000000 {
 		gpio0: gpio@600 {
@@ -100,15 +100,15 @@
 		};
 	};
 
-        gpio-keys-polled {
-                compatible = "gpio-keys-polled";
-                #address-cells = <1>;
-                #size-cells = <0>;
-                poll-interval = <20>;
-                reset {
-                        label = "reset";
-                        gpios = <&gpio0 2 1>;
-                        linux,code = <0x198>;
-                };
-        };
+	gpio-keys-polled {
+		compatible = "gpio-keys-polled";
+		#address-cells = <1>;
+		#size-cells = <0>;
+		poll-interval = <20>;
+		reset {
+			label = "reset";
+			gpios = <&gpio0 2 1>;
+			linux,code = <0x198>;
+		};
+	};
 };
diff --git a/target/linux/ramips/dts/DCS-930L-B1.dts b/target/linux/ramips/dts/DCS-930L-B1.dts
index f73a997..673eb10 100644
--- a/target/linux/ramips/dts/DCS-930L-B1.dts
+++ b/target/linux/ramips/dts/DCS-930L-B1.dts
@@ -3,7 +3,7 @@
 /include/ "rt5350.dtsi"
 
 / {
-	compatible =  "DCS-930L-B1", "ralink,rt5350-soc";
+	compatible = "DCS-930L-B1", "ralink,rt5350-soc";
 	model = "D-Link DCS-930L B1";
 
 	palmbus@10000000 {
diff --git a/target/linux/ramips/dts/DIR-300-B7.dts b/target/linux/ramips/dts/DIR-300-B7.dts
index c1a1385..b04e153 100644
--- a/target/linux/ramips/dts/DIR-300-B7.dts
+++ b/target/linux/ramips/dts/DIR-300-B7.dts
@@ -56,41 +56,39 @@
 		mtd-mac-address = <&factory 0x4>;
 	};
 
-        esw@10110000 {
-                ralink,portmap = <0x2f>;
-                ralink,led_polarity = <0x17>;
-        };
+	esw@10110000 {
+		ralink,portmap = <0x2f>;
+		ralink,led_polarity = <0x17>;
+	};
 
-        gpio-leds {
-                compatible = "gpio-leds";
-                status {
-                        label = "d-link:green:status";
-                        gpios = <&gpio0 9 1>;
-                };
-                wps {
-                        label = "d-link:blue:wps";
-                        gpios = <&gpio0 13 1>;
-                };
-        };
+	gpio-leds {
+		compatible = "gpio-leds";
+		status {
+			label = "d-link:green:status";
+			gpios = <&gpio0 9 1>;
+		};
+		wps {
+			label = "d-link:blue:wps";
+			gpios = <&gpio0 13 1>;
+		};
+	};
 
-        gpio-keys-polled {
-                gpio-keys-polled {
-                compatible = "gpio-keys-polled";
-                #address-cells = <1>;
-                #size-cells = <0>;
-                poll-interval = <20>;
-                        reset {
-                                label = "reset";
-                                gpios = <&gpio0 10 1>;
-                                linux,code = <0x198>;
-                        };
-                        wps {
-                                label = "wps";
-                                gpios = <&gpio0 0 1>;
-                                linux,code = <0x211>;
-                        };
-                };
-        };
+	gpio-keys-polled {
+		compatible = "gpio-keys-polled";
+		#address-cells = <1>;
+		#size-cells = <0>;
+		poll-interval = <20>;
+		reset {
+			label = "reset";
+			gpios = <&gpio0 10 1>;
+			linux,code = <0x198>;
+		};
+		wps {
+			label = "wps";
+			gpios = <&gpio0 0 1>;
+			linux,code = <0x211>;
+		};
+	};
 
 	wmac@10180000 {
 		status = "okay";
@@ -98,4 +96,3 @@
 		ralink,mtd-eeprom = <&factory 0>;
 	};
 };
-
diff --git a/target/linux/ramips/dts/DIR-320-B1.dts b/target/linux/ramips/dts/DIR-320-B1.dts
index 8ec07c2..0478e79 100644
--- a/target/linux/ramips/dts/DIR-320-B1.dts
+++ b/target/linux/ramips/dts/DIR-320-B1.dts
@@ -82,21 +82,19 @@
 	};
 
 	gpio-keys-polled {
-		gpio-keys-polled {
 		compatible = "gpio-keys-polled";
 		#address-cells = <1>;
 		#size-cells = <0>;
 		poll-interval = <20>;
-			reset {
-				label = "reset";
-				gpios = <&gpio0 10 1>;
-				linux,code = <0x198>;
-			};
-			wps {
-				label = "wps";
-				gpios = <&gpio0 0 1>;
-				linux,code = <0x211>;
-			};
+		reset {
+			label = "reset";
+			gpios = <&gpio0 10 1>;
+			linux,code = <0x198>;
+		};
+		wps {
+			label = "wps";
+			gpios = <&gpio0 0 1>;
+			linux,code = <0x211>;
 		};
 	};
 
diff --git a/target/linux/ramips/dts/DIR-610-A1.dts b/target/linux/ramips/dts/DIR-610-A1.dts
index e345250..d7d4287 100644
--- a/target/linux/ramips/dts/DIR-610-A1.dts
+++ b/target/linux/ramips/dts/DIR-610-A1.dts
@@ -81,21 +81,19 @@
 	};
 
 	gpio-keys-polled {
-		gpio-keys-polled {
 		compatible = "gpio-keys-polled";
 		#address-cells = <1>;
 		#size-cells = <0>;
 		poll-interval = <20>;
-			reset {
-				label = "reset";
-				gpios = <&gpio0 10 1>;
-				linux,code = <0x198>;
-			};
-			wps {
-				label = "wps";
-				gpios = <&gpio0 0 1>;
-				linux,code = <0x211>;
-			};
+		reset {
+			label = "reset";
+			gpios = <&gpio0 10 1>;
+			linux,code = <0x198>;
+		};
+		wps {
+			label = "wps";
+			gpios = <&gpio0 0 1>;
+			linux,code = <0x211>;
 		};
 	};
 };
diff --git a/target/linux/ramips/dts/F5D8235_V1.dts b/target/linux/ramips/dts/F5D8235_V1.dts
index 2e88abd..8295a02 100644
--- a/target/linux/ramips/dts/F5D8235_V1.dts
+++ b/target/linux/ramips/dts/F5D8235_V1.dts
@@ -57,7 +57,7 @@
 		status = "okay";
 		mtd-mac-address = <&factory 0x4>;
 
-                port@0 {
+		port@0 {
 			ralink,fixed-link = <1000 1 1 1>;
 		};
 	};
diff --git a/target/linux/ramips/dts/MicroWRT.dts b/target/linux/ramips/dts/MicroWRT.dts
index f6e81dd..c589383 100644
--- a/target/linux/ramips/dts/MicroWRT.dts
+++ b/target/linux/ramips/dts/MicroWRT.dts
@@ -104,4 +104,4 @@
 			linux,code = <0x211>;
 		};
 	};
-   };
+};
diff --git a/target/linux/ramips/dts/OLINUXINO-RT5350F-EVB.dts b/target/linux/ramips/dts/OLINUXINO-RT5350F-EVB.dts
index a644d4a..07d9b58 100644
--- a/target/linux/ramips/dts/OLINUXINO-RT5350F-EVB.dts
+++ b/target/linux/ramips/dts/OLINUXINO-RT5350F-EVB.dts
@@ -3,99 +3,99 @@
 /include/ "rt5350.dtsi"
 
 / {
-        compatible = "RT5350F-OLINUXINO", "ralink,rt5350-soc";
-        model = "RT5350F-OLINUXINO";
-
-        palmbus@10000000 {
-                spi@b00 {
-                        status = "okay";
-                        m25p80@0 {
-                                #address-cells = <1>;
-                                #size-cells = <1>;
-                                compatible = "s25fl064k";
-                                reg = <0 0>;
-                                linux,modalias = "m25p80", "s25fl064k";
-                                spi-max-frequency = <10000000>;
-
-                                partition@0 {
-                                        label = "u-boot";
-                                        reg = <0x0 0x30000>;
-                                        read-only;
-                                };
-
-                                partition@30000 {
-                                        label = "u-boot-env";
-                                        reg = <0x30000 0x10000>;
-                                        read-only;
-                                };
-
-                                factory: partition@40000 {
-                                        label = "factory";
-                                        reg = <0x40000 0x10000>;
-                                        read-only;
-                                };
-
-                                partition@50000 {
-                                        label = "firmware";
-                                        reg = <0x50000 0x3b0000>;
-                                };
-                        };
-                };
-                gpio1: gpio@660 {
-                        status = "okay";
-                };
-        };
-
-        pinctrl {
-                state_default: pinctrl0 {
-                        gpio {
-                                ralink,group = "jtag", "rgmii", "mdio", "uartf";
-                                ralink,function = "gpio";
-                        };
-                };
-        };
-
-        ethernet@10100000 {
-                mtd-mac-address = <&factory 0x4>;
-        };
-
-        esw@10110000 {
-                ralink,portmap = <0x2f>;
-                ralink,led_polarity = <0x17>;
-        };
-
-        wmac@10180000 {
-                ralink,mtd-eeprom = <&factory 0>;
-        };
-
-        ehci@101c0000 {
-                status = "okay";
-        };
-
-        ohci@101c1000 {
-                status = "okay";
-        };
-
-        gpio_export {
-                compatible = "gpio-export";
-                #size-cells = <0>;
-
-                relay1 {
-                        gpio-export,name = "gpio12";
-                        gpio-export,output = <0>;
-                        gpios = <&gpio0 12 0>;
-                };
-
-                relay2 {
-                        gpio-export,name = "gpio14";
-                        gpio-export,output = <0>;
-                        gpios = <&gpio0 14 0>;
-                };
-
-                button {
-                        gpio-export,name = "button";
-                        gpios = <&gpio0 0 1>;
-                };
-
-        };
+	compatible = "RT5350F-OLINUXINO", "ralink,rt5350-soc";
+	model = "RT5350F-OLINUXINO";
+
+	palmbus@10000000 {
+		spi@b00 {
+			status = "okay";
+			m25p80@0 {
+				#address-cells = <1>;
+				#size-cells = <1>;
+				compatible = "s25fl064k";
+				reg = <0 0>;
+				linux,modalias = "m25p80", "s25fl064k";
+				spi-max-frequency = <10000000>;
+
+				partition@0 {
+					label = "u-boot";
+					reg = <0x0 0x30000>;
+					read-only;
+				};
+
+				partition@30000 {
+					label = "u-boot-env";
+					reg = <0x30000 0x10000>;
+					read-only;
+				};
+
+				factory: partition@40000 {
+					label = "factory";
+					reg = <0x40000 0x10000>;
+					read-only;
+				};
+
+				partition@50000 {
+					label = "firmware";
+					reg = <0x50000 0x3b0000>;
+				};
+			};
+		};
+		gpio1: gpio@660 {
+			status = "okay";
+		};
+	};
+
+	pinctrl {
+		state_default: pinctrl0 {
+			gpio {
+				ralink,group = "jtag", "rgmii", "mdio", "uartf";
+				ralink,function = "gpio";
+			};
+		};
+	};
+
+	ethernet@10100000 {
+		mtd-mac-address = <&factory 0x4>;
+	};
+
+	esw@10110000 {
+		ralink,portmap = <0x2f>;
+		ralink,led_polarity = <0x17>;
+	};
+
+	wmac@10180000 {
+		ralink,mtd-eeprom = <&factory 0>;
+	};
+
+	ehci@101c0000 {
+		status = "okay";
+	};
+
+	ohci@101c1000 {
+		status = "okay";
+	};
+
+	gpio_export {
+		compatible = "gpio-export";
+		#size-cells = <0>;
+
+		relay1 {
+			gpio-export,name = "gpio12";
+			gpio-export,output = <0>;
+			gpios = <&gpio0 12 0>;
+		};
+
+		relay2 {
+			gpio-export,name = "gpio14";
+			gpio-export,output = <0>;
+			gpios = <&gpio0 14 0>;
+		};
+
+		button {
+			gpio-export,name = "button";
+			gpios = <&gpio0 0 1>;
+		};
+
+	};
 };
diff --git a/target/linux/ramips/dts/OLINUXINO-RT5350F.dts b/target/linux/ramips/dts/OLINUXINO-RT5350F.dts
index 984e701..e78257f 100644
--- a/target/linux/ramips/dts/OLINUXINO-RT5350F.dts
+++ b/target/linux/ramips/dts/OLINUXINO-RT5350F.dts
@@ -3,77 +3,77 @@
 /include/ "rt5350.dtsi"
 
 / {
-        compatible = "RT5350F-OLINUXINO", "ralink,rt5350-soc";
-        model = "RT5350F-OLINUXINO";
+	compatible = "RT5350F-OLINUXINO", "ralink,rt5350-soc";
+	model = "RT5350F-OLINUXINO";
 
-        palmbus@10000000 {
-                spi@b00 {
-                        status = "okay";
-                        m25p80@0 {
-                                #address-cells = <1>;
-                                #size-cells = <1>;
-                                compatible = "s25fl064k";
-                                reg = <0 0>;
-                                linux,modalias = "m25p80", "s25fl064k";
-                                spi-max-frequency = <10000000>;
+	palmbus@10000000 {
+		spi@b00 {
+			status = "okay";
+			m25p80@0 {
+				#address-cells = <1>;
+				#size-cells = <1>;
+				compatible = "s25fl064k";
+				reg = <0 0>;
+				linux,modalias = "m25p80", "s25fl064k";
+				spi-max-frequency = <10000000>;
 
-                                partition@0 {
-                                        label = "u-boot";
-                                        reg = <0x0 0x30000>;
-                                        read-only;
-                                };
+				partition@0 {
+					label = "u-boot";
+					reg = <0x0 0x30000>;
+					read-only;
+				};
 
-                                partition@30000 {
-                                        label = "u-boot-env";
-                                        reg = <0x30000 0x10000>;
-                                        read-only;
-                                };
+				partition@30000 {
+					label = "u-boot-env";
+					reg = <0x30000 0x10000>;
+					read-only;
+				};
 
-                                factory: partition@40000 {
-                                        label = "factory";
-                                        reg = <0x40000 0x10000>;
-                                        read-only;
-                                };
+				factory: partition@40000 {
+					label = "factory";
+					reg = <0x40000 0x10000>;
+					read-only;
+				};
 
-                                partition@50000 {
-                                        label = "firmware";
-                                        reg = <0x50000 0x3b0000>;
-                                };
-                        };
-                };
-                gpio1: gpio@660 {
-                        status = "okay";
-                };
-        };
+				partition@50000 {
+					label = "firmware";
+					reg = <0x50000 0x3b0000>;
+				};
+			};
+		};
+		gpio1: gpio@660 {
+			status = "okay";
+		};
+	};
 
-        pinctrl {
-                state_default: pinctrl0 {
-                        gpio {
-                                ralink,group = "jtag", "rgmii", "mdio", "uartf";
-                                ralink,function = "gpio";
-                        };
-                };
-        };
+	pinctrl {
+		state_default: pinctrl0 {
+			gpio {
+				ralink,group = "jtag", "rgmii", "mdio", "uartf";
+				ralink,function = "gpio";
+			};
+		};
+	};
 
-        ethernet@10100000 {
-                mtd-mac-address = <&factory 0x4>;
-        };
+	ethernet@10100000 {
+		mtd-mac-address = <&factory 0x4>;
+	};
 
-        esw@10110000 {
-                ralink,portmap = <0x2f>;
-                ralink,led_polarity = <0x17>;
-        };
+	esw@10110000 {
+		ralink,portmap = <0x2f>;
+		ralink,led_polarity = <0x17>;
+	};
 
-        wmac@10180000 {
-                ralink,mtd-eeprom = <&factory 0>;
-        };
+	wmac@10180000 {
+		ralink,mtd-eeprom = <&factory 0>;
+	};
 
-        ehci@101c0000 {
-                status = "okay";
-        };
+	ehci@101c0000 {
+		status = "okay";
+	};
 
-        ohci@101c1000 {
-                status = "okay";
-        };
+	ohci@101c1000 {
+		status = "okay";
+	};
 
 };
diff --git a/target/linux/ramips/dts/OY-0001.dts b/target/linux/ramips/dts/OY-0001.dts
index 48b7099..034769b 100644
--- a/target/linux/ramips/dts/OY-0001.dts
+++ b/target/linux/ramips/dts/OY-0001.dts
@@ -6,9 +6,9 @@
 	compatible = "ralink,mt7620a-soc";
 	model = "OY-0001";
 
-        chosen {
-                bootargs = "console=ttyS0,115200";
-        };
+	chosen {
+		bootargs = "console=ttyS0,115200";
+	};
 
 	palmbus@10000000 {
 		gpio2: gpio@660 {
diff --git a/target/linux/ramips/dts/PBR-M1.dts b/target/linux/ramips/dts/PBR-M1.dts
index 76eae93..8b8876d 100644
--- a/target/linux/ramips/dts/PBR-M1.dts
+++ b/target/linux/ramips/dts/PBR-M1.dts
@@ -73,9 +73,9 @@
 				status = "okay";
 				compatible = "nxp,pcf8563";
 				reg = <0x51>;
-            };
-        };
-    };
+			};
+		};
+	};
 
 	pcie@1e140000 {
 		status = "okay";
diff --git a/target/linux/ramips/dts/RT-N15.dts b/target/linux/ramips/dts/RT-N15.dts
index 23842d4..cc7519f 100644
--- a/target/linux/ramips/dts/RT-N15.dts
+++ b/target/linux/ramips/dts/RT-N15.dts
@@ -57,7 +57,7 @@
 		status = "okay";
 		mtd-mac-address = <&factory 0x4>;
 
-                port@0 {
+		port@0 {
 			ralink,fixed-link = <1000 1 1 1>;
 		};
 
diff --git a/target/linux/ramips/dts/RTN56U.dts b/target/linux/ramips/dts/RTN56U.dts
index 4b72583..99abb9a 100644
--- a/target/linux/ramips/dts/RTN56U.dts
+++ b/target/linux/ramips/dts/RTN56U.dts
@@ -22,7 +22,7 @@
 	};
 
 	ethernet@10100000 {
-       		mtd-mac-address = <&factory 0x4>;
+		mtd-mac-address = <&factory 0x4>;
 		port@0 {
 			ralink,fixed-link = <1000 1 1 1>;
 		};
@@ -44,10 +44,10 @@
 			pci-bridge@1 {
 				status = "okay";
 				wmac@0,0 {
-                                        compatible = "ralink,rt2880-pci", "pciclass060400", "pciclass0604";
-                                        reg = < 0x10000 0 0 0 0 >;
-                                        ralink,eeprom = "rt2x00pci_1_0.eeprom";
-                                };
+					compatible = "ralink,rt2880-pci", "pciclass060400", "pciclass0604";
+					reg = < 0x10000 0 0 0 0 >;
+					ralink,eeprom = "rt2x00pci_1_0.eeprom";
+				};
 
 			};
 		};
diff --git a/target/linux/ramips/dts/RUT5XX.dts b/target/linux/ramips/dts/RUT5XX.dts
index 9ae6997..3b7608e 100644
--- a/target/linux/ramips/dts/RUT5XX.dts
+++ b/target/linux/ramips/dts/RUT5XX.dts
@@ -52,9 +52,9 @@
 		};
 	};
 
-        ethernet@10100000 {
-                mtd-mac-address = <&factory 0x28>;
-        };
+	ethernet@10100000 {
+		mtd-mac-address = <&factory 0x28>;
+	};
 
 	esw@10110000 {
 		ralink,portmap = <0x3e>;
diff --git a/target/linux/ramips/dts/WLI-TX4-AG300N.dts b/target/linux/ramips/dts/WLI-TX4-AG300N.dts
index 4d773da..0679779 100644
--- a/target/linux/ramips/dts/WLI-TX4-AG300N.dts
+++ b/target/linux/ramips/dts/WLI-TX4-AG300N.dts
@@ -48,7 +48,7 @@
 		status = "okay";
 		mtd-mac-address = <&factory 0x4>;
 
-                port@0 {
+		port@0 {
 			ralink,fixed-link = <1000 1 1 1>;
 		};
 	};
diff --git a/target/linux/ramips/dts/WT3020-4M.dts b/target/linux/ramips/dts/WT3020-4M.dts
index 7583680..05b862d 100644
--- a/target/linux/ramips/dts/WT3020-4M.dts
+++ b/target/linux/ramips/dts/WT3020-4M.dts
@@ -7,13 +7,13 @@
 	model = "Nexx WT3020";
 
 	palmbus@10000000 {
-                gpio2: gpio@660 {
-                        status = "okay";
-                };
+		gpio2: gpio@660 {
+			status = "okay";
+		};
 
-                gpio3: gpio@688 {
-                        status = "okay";
-                };
+		gpio3: gpio@688 {
+			status = "okay";
+		};
 
 		spi@b00 {
 			status = "okay";
@@ -90,11 +90,11 @@
 		};
 	};
 
-        gpio-leds {
-                compatible = "gpio-leds";
-                power {
-                        label = "nexx:blue:power";
-                        gpios = <&gpio3 0 0>;
-                };
-        };
+	gpio-leds {
+		compatible = "gpio-leds";
+		power {
+			label = "nexx:blue:power";
+			gpios = <&gpio3 0 0>;
+		};
+	};
 };
diff --git a/target/linux/ramips/dts/WT3020-8M.dts b/target/linux/ramips/dts/WT3020-8M.dts
index 5fa7c92..c1e0468 100644
--- a/target/linux/ramips/dts/WT3020-8M.dts
+++ b/target/linux/ramips/dts/WT3020-8M.dts
@@ -7,13 +7,13 @@
 	model = "Nexx WT3020";
 
 	palmbus@10000000 {
-                gpio2: gpio@660 {
-                        status = "okay";
-                };
+		gpio2: gpio@660 {
+			status = "okay";
+		};
 
-                gpio3: gpio@688 {
-                        status = "okay";
-                };
+		gpio3: gpio@688 {
+			status = "okay";
+		};
 
 		spi@b00 {
 			status = "okay";
@@ -90,11 +90,11 @@
 		};
 	};
 
-        gpio-leds {
-                compatible = "gpio-leds";
-                power {
-                        label = "nexx:blue:power";
-                        gpios = <&gpio3 0 0>;
-                };
-        };
+	gpio-leds {
+		compatible = "gpio-leds";
+		power {
+			label = "nexx:blue:power";
+			gpios = <&gpio3 0 0>;
+		};
+	};
 };
diff --git a/target/linux/ramips/dts/WZR-AGL300NH.dts b/target/linux/ramips/dts/WZR-AGL300NH.dts
index 8e18e90..89fc319 100644
--- a/target/linux/ramips/dts/WZR-AGL300NH.dts
+++ b/target/linux/ramips/dts/WZR-AGL300NH.dts
@@ -57,7 +57,7 @@
 		status = "okay";
 		mtd-mac-address = <&factory 0x4>;
 
-                port@0 {
+		port@0 {
 			ralink,fixed-link = <1000 1 1 1>;
 		};
 
diff --git a/target/linux/ramips/dts/mt7620a.dtsi b/target/linux/ramips/dts/mt7620a.dtsi
index c21ae0f..7ed2df1 100644
--- a/target/linux/ramips/dts/mt7620a.dtsi
+++ b/target/linux/ramips/dts/mt7620a.dtsi
@@ -23,7 +23,7 @@
 	palmbus@10000000 {
 		compatible = "palmbus";
 		reg = <0x10000000 0x200000>;
-                ranges = <0x0 0x10000000 0x1FFFFF>;
+		ranges = <0x0 0x10000000 0x1FFFFF>;
 
 		#address-cells = <1>;
 		#size-cells = <1>;
diff --git a/target/linux/ramips/dts/mt7620n.dtsi b/target/linux/ramips/dts/mt7620n.dtsi
index 83ab03a..2c5e66d 100644
--- a/target/linux/ramips/dts/mt7620n.dtsi
+++ b/target/linux/ramips/dts/mt7620n.dtsi
@@ -23,7 +23,7 @@
 	palmbus@10000000 {
 		compatible = "palmbus";
 		reg = <0x10000000 0x200000>;
-                ranges = <0x0 0x10000000 0x1FFFFF>;
+		ranges = <0x0 0x10000000 0x1FFFFF>;
 
 		#address-cells = <1>;
 		#size-cells = <1>;
diff --git a/target/linux/ramips/dts/mt7621.dtsi b/target/linux/ramips/dts/mt7621.dtsi
index 53b215f..0aff3d3 100644
--- a/target/linux/ramips/dts/mt7621.dtsi
+++ b/target/linux/ramips/dts/mt7621.dtsi
@@ -23,7 +23,7 @@
 	palmbus@1E000000 {
 		compatible = "palmbus";
 		reg = <0x1E000000 0x100000>;
-                ranges = <0x0 0x1E000000 0x0FFFFF>;
+		ranges = <0x0 0x1E000000 0x0FFFFF>;
 
 		#address-cells = <1>;
 		#size-cells = <1>;
@@ -275,7 +275,7 @@
 		compatible = "ralink,mt7620a-gsw";
 		reg = <0x1e110000 8000>;
 		interrupt-parent = <&gic>;
-		interrupts = <23>; 
+		interrupts = <23>;
 	};
 
 	pcie@1e140000 {
diff --git a/target/linux/ramips/dts/mt7628an.dtsi b/target/linux/ramips/dts/mt7628an.dtsi
index 754e04f..4e229b7 100644
--- a/target/linux/ramips/dts/mt7628an.dtsi
+++ b/target/linux/ramips/dts/mt7628an.dtsi
@@ -23,7 +23,7 @@
 	palmbus@10000000 {
 		compatible = "palmbus";
 		reg = <0x10000000 0x200000>;
-                ranges = <0x0 0x10000000 0x1FFFFF>;
+		ranges = <0x0 0x10000000 0x1FFFFF>;
 
 		#address-cells = <1>;
 		#size-cells = <1>;
diff --git a/target/linux/ramips/dts/rt2880.dtsi b/target/linux/ramips/dts/rt2880.dtsi
index feabe42..856cce4 100644
--- a/target/linux/ramips/dts/rt2880.dtsi
+++ b/target/linux/ramips/dts/rt2880.dtsi
@@ -23,7 +23,7 @@
 	palmbus@300000 {
 		compatible = "palmbus";
 		reg = <0x300000 0x200000>;
-                ranges = <0x0 0x300000 0x1FFFFF>;
+		ranges = <0x0 0x300000 0x1FFFFF>;
 
 		#address-cells = <1>;
 		#size-cells = <1>;